<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__cts__current__time__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_cts_current_time_t</compoundname>
    <includes local="no">cy_ble_cts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__cts__current__time__t_1abab05556380a3bfd4fecea5352943766" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::yearLow</definition>
        <argsstring />
        <name>yearLow</name>
        <briefdescription>
<para>LSB of current year. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="133" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="133" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1a0d35c1669159a0d02b345aecb6f30043" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::yearHigh</definition>
        <argsstring />
        <name>yearHigh</name>
        <briefdescription>
<para>MSB of current year. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="134" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1af0060900787aec9084d904efe6e0b964" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::month</definition>
        <argsstring />
        <name>month</name>
        <briefdescription>
<para>Current month. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="135" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="135" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1a7d3824e2cb8b53cb93a46685102ec2b7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::day</definition>
        <argsstring />
        <name>day</name>
        <briefdescription>
<para>Current day. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="136" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="136" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1a8123b7ac4061d9f0b8141f750fb7f2b2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::hours</definition>
        <argsstring />
        <name>hours</name>
        <briefdescription>
<para>Current time - hours. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="137" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="137" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1ae42b02e7457204f0ad3b00c4645a2459" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::minutes</definition>
        <argsstring />
        <name>minutes</name>
        <briefdescription>
<para>Current time - minutes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="138" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1a10ffd16f8314a2e0718327316a5395c3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::seconds</definition>
        <argsstring />
        <name>seconds</name>
        <briefdescription>
<para>Current time - seconds. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="139" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="139" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1a471995c3c71d69ca3a5f617b738ba92a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::dayOfWeek</definition>
        <argsstring />
        <name>dayOfWeek</name>
        <briefdescription>
<para>Current day of week. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="140" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="140" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1a6497755dcb64191a25f6bc5ce34ea26b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::fractions256</definition>
        <argsstring />
        <name>fractions256</name>
        <briefdescription>
<para>The value of 1/256th of second. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="141" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__current__time__t_1aa811f39c9c4c238f3f44fd8180d0f814" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cts_current_time_t::adjustReason</definition>
        <argsstring />
        <name>adjustReason</name>
        <briefdescription>
<para>Reason of Current Time service Characteristics change. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="142" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="142" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Current Time Characteristic structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="143" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="131" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="132" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1aa811f39c9c4c238f3f44fd8180d0f814" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>adjustReason</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1a7d3824e2cb8b53cb93a46685102ec2b7" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>day</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1a471995c3c71d69ca3a5f617b738ba92a" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>dayOfWeek</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1a6497755dcb64191a25f6bc5ce34ea26b" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>fractions256</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1a8123b7ac4061d9f0b8141f750fb7f2b2" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>hours</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1ae42b02e7457204f0ad3b00c4645a2459" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>minutes</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1af0060900787aec9084d904efe6e0b964" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>month</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1a10ffd16f8314a2e0718327316a5395c3" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>seconds</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1a0d35c1669159a0d02b345aecb6f30043" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>yearHigh</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__current__time__t_1abab05556380a3bfd4fecea5352943766" virt="non-virtual"><scope>cy_stc_ble_cts_current_time_t</scope><name>yearLow</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>